/*
 *
 * LoadingSpinnerContainer reducer
 *
 */
import produce from 'immer';
import * as consts from './constants';

export const initialState = {
  active: false,
  animation: 'border',
  variant: '',
  size: '',
  as: '',
};

/* eslint-disable default-case, no-param-reassign */
const loadingSpinnerContainerReducer = (state = initialState, action) =>
  produce(state, (/* draft */) => {
    switch (action.type) {
      case consts.FIRESPINNER_REDUCER:
        console.log(action);
        return {
          ...state,
          active: action.bool,
          animation: action.animation,
          variant: action.variant,
          size: action.size,
          as: action.as,
        };
      case consts.DEFAULT_ACTION:
        break;
    }
  });

export default loadingSpinnerContainerReducer;
