import { createSelector } from 'reselect';
import { initialState } from './reducer';

/**
 * Direct selector to the loadingSpinnerContainer state domain
 */

const selectLoadingSpinnerContainerDomain = state =>
  state.loadingSpinnerContainer || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by LoadingSpinnerContainer
 */

const makeSelectLoadingSpinnerContainer = () =>
  createSelector(
    selectLoadingSpinnerContainerDomain,
    substate => substate,
  );

export default makeSelectLoadingSpinnerContainer;
export { selectLoadingSpinnerContainerDomain };
