/*
 *
 * ModalContainer actions
 *
 */

import * as consts from './constants';

export function defaultAction() {
  return {
    type: consts.DEFAULT_ACTION,
  };
}

/*
 *
 * HandleModal actions
 *
 */

export function HandleModalAction(active, modalObject, index) {
  return {
    type: consts.HANDLEMODAL_SAGA,
    active,
    modalObject,
    index
  };
}

export function HandleModalReducer(result) {
  return {
    type: consts.HANDLEMODAL_REDUCER,
    result
  };
}
