import * as actions from '../actions';
import * as consts from '../constants';

describe('ModalContainer actions', () => {
  describe('Default Action', () => {
    it('has a type of DEFAULT_ACTION', () => {
      const expected = {
        type: consts.DEFAULT_ACTION,
      };
      expect(actions.defaultAction()).toEqual(expected);
    });
  });
  // put all action tests here DO NOT REMOVE
  describe('HandleModalSaga', () => {
    it('has a type of consts.HANDLEMODAL_SAGA', () => {
      const expected = {
        type: consts.HANDLEMODAL_SAGA,
      };
      expect(actions.HandleModalSaga).toEqual(expected);
    });
  });
  describe('HandleModalReducer', () => {
    it('has a type of consts.HANDLEMODAL_REDUCER', () => {
      const expected = {
        type: consts.HANDLEMODAL_REDUCER,
      };
      expect(actions.HandleModalReducer).toEqual(expected);
    });
  });


});
