/*
 *
 * NavContainer reducer
 *
 */
import produce from 'immer';
import * as consts from './constants';

export const initialState = {
  hasVisited: {},
};

/* eslint-disable default-case, no-param-reassign */
const navContainerReducer = (state = initialState, action) =>
  produce(state, (/* draft */) => {
    switch (action.type) {
      case consts.GETUSERWALKTHROUGH_REDUCER:
        return {
          ...state,
          hasVisited: action.hasVisited,
        };

      case consts.SAVEUSERWALKTHROUGH_REDUCER:
        return {
          ...state,
          hasVisited: action.hasVisited,
        };

      case consts.DEFAULT_ACTION:
        break;
    }
  });

export default navContainerReducer;
