import * as actions from '../actions';
import * as consts from '../constants';

describe('NavContainer actions', () => {
  describe('Default Action', () => {
    it('has a type of DEFAULT_ACTION', () => {
      const expected = {
        type: consts.DEFAULT_ACTION,
      };
      expect(actions.defaultAction()).toEqual(expected);
    });
  });
  // put all action tests here DO NOT REMOVE
  describe('updateUserWalkthroughSaga', () => {
    it('has a type of consts.UPDATEUSERWALKTHROUGH_SAGA', () => {
      const expected = {
        type: consts.UPDATEUSERWALKTHROUGH_SAGA,
      };
      expect(actions.updateUserWalkthroughSaga).toEqual(expected);
    });
  });
  describe('updateUserWalkthroughReducer', () => {
    it('has a type of consts.UPDATEUSERWALKTHROUGH_REDUCER', () => {
      const expected = {
        type: consts.UPDATEUSERWALKTHROUGH_REDUCER,
      };
      expect(actions.updateUserWalkthroughReducer).toEqual(expected);
    });
  });

  describe('saveUserWalkthroughSaga', () => {
    it('has a type of consts.SAVEUSERWALKTHROUGH_SAGA', () => {
      const expected = {
        type: consts.SAVEUSERWALKTHROUGH_SAGA,
      };
      expect(actions.saveUserWalkthroughSaga).toEqual(expected);
    });
  });
  describe('saveUserWalkthroughReducer', () => {
    it('has a type of consts.SAVEUSERWALKTHROUGH_REDUCER', () => {
      const expected = {
        type: consts.SAVEUSERWALKTHROUGH_REDUCER,
      };
      expect(actions.saveUserWalkthroughReducer).toEqual(expected);
    });
  });

  describe('getUserWalkthroughSaga', () => {
    it('has a type of consts.GETUSERWALKTHROUGH_SAGA', () => {
      const expected = {
        type: consts.GETUSERWALKTHROUGH_SAGA,
      };
      expect(actions.getUserWalkthroughSaga).toEqual(expected);
    });
  });
  describe('getUserWalkthroughReducer', () => {
    it('has a type of consts.GETUSERWALKTHROUGH_REDUCER', () => {
      const expected = {
        type: consts.GETUSERWALKTHROUGH_REDUCER,
      };
      expect(actions.getUserWalkthroughReducer).toEqual(expected);
    });
  });
});
