import { createSelector } from 'reselect';
import { initialState } from './reducer';

/**
 * Direct selector to the reusableNotificationContainer state domain
 */

const selectReusableNotificationContainerDomain = state =>
  state.reusableNotificationContainer;

/**
 * Other specific selectors
 */

/**
 * Default selector used by ReusableNotificationContainer
 */

const makeSelectReusableNotificationContainer = () =>
  createSelector(
    selectReusableNotificationContainerDomain,
    substate => substate,
  );

export default makeSelectReusableNotificationContainer;
export { selectReusableNotificationContainerDomain };
