import * as actions from '../actions';
import * as consts from '../constants';

describe('LoadingSpinnerContainer actions', () => {
  describe('Default Action', () => {
    it('has a type of DEFAULT_ACTION', () => {
      const expected = {
        type: consts.DEFAULT_ACTION,
      };
      expect(actions.defaultAction()).toEqual(expected);
    });
  });
  // put all action tests here DO NOT REMOVE
  describe('FireSpinnerSaga', () => {
    it('has a type of consts.FIRESPINNER_SAGA', () => {
      const expected = {
        type: consts.FIRESPINNER_SAGA,
      };
      expect(actions.FireSpinnerSaga).toEqual(expected);
    });
  });
  describe('FireSpinnerReducer', () => {
    it('has a type of consts.FIRESPINNER_REDUCER', () => {
      const expected = {
        type: consts.FIRESPINNER_REDUCER,
      };
      expect(actions.FireSpinnerReducer).toEqual(expected);
    });
  });


});
