/*
 *
 * NavContainer actions
 *
 */

import * as consts from './constants';

export function defaultAction() {
  return {
    type: consts.DEFAULT_ACTION,
  };
}

/*
 *
 * GetUserWalkthrough actions
 *
 */

export function getUserWalkthroughAction() {
  return {
    type: consts.GETUSERWALKTHROUGH_SAGA,
  };
}

export function getUserWalkthroughReducer(hasVisited) {
  return {
    type: consts.GETUSERWALKTHROUGH_REDUCER,
    hasVisited,
  };
}

/*
 *
 * SaveUserWalkthrough actions
 *
 */

export function saveUserWalkthroughAction(key) {
  return {
    type: consts.SAVEUSERWALKTHROUGH_SAGA,
    key,
  };
}

export function saveUserWalkthroughReducer(hasVisited, key) {
  return {
    type: consts.SAVEUSERWALKTHROUGH_REDUCER,
    hasVisited,
    key,
  };
}
