import { createSelector } from 'reselect';
import { initialState } from './reducer';

/**
 * Direct selector to the navContainer state domain
 */

const selectNavContainerDomain = state => state.navContainer || initialState;

/**
 * Other specific selectors
 */

/**
 * Default selector used by NavContainer
 */

const makeSelectNavContainer = () =>
  createSelector(
    selectNavContainerDomain,
    substate => substate,
  );

export default makeSelectNavContainer;
export { selectNavContainerDomain };
