import {
  take,
  call,
  put,
  select,
  takeEvery,
  takeLatest,
  takeLeading,
} from 'redux-saga/effects';
import { TOGGLE_NOTIFICATION } from './constants';

export function* toggleToastSaga(action) {
  yield put({
    type: 'TOGGLE_NOTFICATION',
    id: action.id,
    props: action.props,
  });
}

export function* toggleToastWBodySaga(action) {
  yield put({
    type: 'TOGGLE_NOTIFICATION_WITH_BODY',
    body: action.body,
    toastType: action.toastType,
  });
}

// Individual exports for testing
export default function* reusableNotificationContainerSaga() {
  // See example in containers/HomePage/saga.js

  yield takeEvery(TOGGLE_NOTIFICATION, toggleToastSaga);
}
