import { toggleToast, toggleToastWithBody } from '../actions';
import { TOGGLE_NOTIFICATION } from '../constants';

describe('ReusableNotificationContainer actions', () => {
  describe('toggleToast', () => {
    const id = null;
    const props = null;
    it('has a type of TOGGLE_NOTIFICATION', () => {
      const expected = {
        type: TOGGLE_NOTIFICATION,
        id,
        props,
      };
      expect(toggleToast(id, props)).toEqual(expected);
    });
  });
  describe('toggleToastWithBody', () => {
    const body = '';
    const toastType = '';
    it('has a type of TOGGLE_NOTIFICATION_WITH_BODY', () => {
      const expected = {
        type: 'TOGGLE_NOTIFICATION_WITH_BODY',
        body,
        toastType,
      };
      expect(toggleToastWithBody(body, toastType)).toEqual(expected);
    });
  });
});
